<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title(t(:label_budget_plural)) %>
<%= toolbar title: t(:label_budget_plural) do %>
  <% if authorize_for(:budgets, :new) %>
    <li class="toolbar-item">
      <a href="<%= new_projects_budget_path(@project) %>" aria-label="<%= I18n.t(:button_add_budget) %>" id="add-budget-button" title="<%= I18n.t(:button_add_budget) %>" class="button -primary">
        <%= op_icon('button--icon icon-add') %>
        <span class="button--text"><%= t(:label_budget) %></span>
      </a>
    </li>
  <% end %>
<% end %>

<% if @budgets.empty? %>
  <%= no_results_box %>
<% else %>
<%= render :partial => 'list', :locals => {:budgets => @budgets} %>
<%= pagination_links_full @budgets %>
<% end %>

<p class="other-formats">
<%= t(:label_export_to) %>
<!--
<span><%= link_to 'Atom', {:query_id => @query, :format => 'atom', :key => User.current.rss_key}, :class => 'feed' %></span>
-->
<span><%= link_to 'CSV', {:format => 'csv'}, :class => 'csv' %></span>
<!--
<span><%= link_to 'PDF', {:format => 'pdf'}, :class => 'pdf' %></span>
-->
</p>
